<?php


// load the textdomain for language-support

load_theme_textdomain( 'og-sechzehn', get_template_directory() . '/languages');


// add a 'Customize' link to the admin menu

add_action( 'admin_menu', 'og_customize' );
function og_customize() { 
	add_theme_page( __('Customize','og-sechzehn'), __('Customize','og-sechzehn'), 'edit_theme_options', '/customize.php' );
}


// redirecting a search when there is only one result 

function theme_show_on_match() {  
    if ( is_search() ) {  
        global $wp_query;  
        if ($wp_query->post_count == 1) {  
            wp_redirect( get_permalink( $wp_query->posts['0']->ID ) );  
        }  
    }  
}
add_action('template_redirect', 'theme_show_on_match');  


// add theme-customizer-options

function og_theme_customizer( $wp_customize ) {


// add a section for basic SECHZEHN options

	$wp_customize->add_section( 'SECHZEHN_basic', array(
		'title' => __('SECHZEHN - Basic options','og-sechzehn'),
		'description' => __('Basic theme options','og-sechzehn'),
		'priority' => '1'
	) );
	
	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[font_size]', array(
			'default' => '13px',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[font_size]', array(
			'label' => __('Default font-size','og-sechzehn'),
			'section' => 'SECHZEHN_basic',
			'type' => 'radio',
			'priority' => '1',
			'choices' => array(
				'12px' => __('12 Pixel','og-sechzehn'),
				'13px' => __('13 Pixel (default)','og-sechzehn'),
				'14px' => __('14 Pixel','og-sechzehn'),
				'15px' => __('15 Pixel','og-sechzehn'),
				'16px' => __('16 Pixel','og-sechzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[font_standard]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[font_standard]', array(
			'label' => __('Default font','og-sechzehn'),
			'section' => 'SECHZEHN_basic',
			'type' => 'select',
			'priority' => '2',
			'choices' => array(
				'0' => __('Open Sans (default)','og-sechzehn'),
				'1' => 'Droid Sans',
				'2' => 'Source Sans Pro',
				'3' => 'PT Sans',
				'4' => 'Ubuntu',
				'5' => 'Roboto',
				'6' => 'Noto Sans',
				'7' => 'Noto Serif',
				'8' => 'Arial',
				'9' => 'Verdana',
				'10' => 'Tahoma',
				'11' => 'Lucida Sans',
				'12' => __('Custom','og-sechzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[font_standard_html]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[font_standard_html]', array(
			'label' => __('HTML-Code (<link href=...>) for custom default font','og-sechzehn'),
			'type' => 'text',
			'priority' => '3',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[font_standard_css]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[font_standard_css]', array(
			'label' => __('CSS-Code (font-family:...;) for custom default font','og-sechzehn'),
			'type' => 'text',
			'priority' => '4',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[font_h]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[font_h]', array(
			'label' => __('Default heading-font','og-sechzehn'),
			'section' => 'SECHZEHN_basic',
			'type' => 'select',
			'priority' => '5',
			'choices' => array(
				'0' => __('Open Sans light (default)','og-sechzehn'),
				'1' => 'Fjalla One',
				'2' => 'Oswald',
				'3' => 'Archivo Narrow',
				'4' => 'Open Sans Condensed',
				'5' => 'Bitter',
				'6' => 'Bree Serif',
				'7' => 'Tauri',
				'8' => 'Roboto Condensed',
				'9' => 'Arial',
				'10' => 'Verdana',
				'11' => 'Tahoma',
				'12' => 'Lucida Sans',
				'13' => __('Custom','og-sechzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[font_h_html]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[font_h_html]', array(
			'label' => __('HTML-Code (<link href=...>) for custom heading font','og-sechzehn'),
			'type' => 'text',
			'priority' => '6',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[font_h_css]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[font_h_css]', array(
			'label' => __('CSS-Code (font-family:...;) for custom heading font','og-sechzehn'),
			'type' => 'text',
			'priority' => '7',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[posts_comments]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[posts_comments]', array(
			'label' => __('Display number of posts and comments in the theme-credits','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '8',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[copyright]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[copyright]', array(
			'label' => __('Text for copyright','og-sechzehn'),
			'type' => 'text',
			'priority' => '9',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[google_analytics]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[google_analytics]', array(
			'label' => __('Paste your Google Analytics code','og-sechzehn'),
			'type' => 'text',
			'priority' => '10',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[excerpt_words]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[excerpt_words]', array(
			'label' => __('Number of words for excerpts','og-sechzehn'),
			'type' => 'text',
			'priority' => '11',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[excerpt_moretag]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[excerpt_moretag]', array(
			'label' => __('Excerpts with a more-button','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '12',
			'section' => 'SECHZEHN_basic',
		) );

		$wp_customize->add_setting( 'og_theme_options[searchform]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[searchform]', array(
			'label' => __('Display a search-form in the footer','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '13',
			'section' => 'SECHZEHN_basic',
		) );


// add a section for SECHZEHN logo upload

	$wp_customize->add_section( 'SECHZEHN_logo', array(
		'title' => __('SECHZEHN - Logo','og-sechzehn'),
		'description' => __('Logo upload','og-sechzehn'),
		'priority' => '2'
	) );
	
	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[display_logo]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[display_logo]', array(
			'label' => __('Display a logo in the upper-left corner','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '1',
			'section' => 'SECHZEHN_logo',
		) );

		$wp_customize->add_setting( 'og_theme_options[logo]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'og_theme_options[logo]', array(
			'label'   => __('Upload your own logo (160 x 40 pixel)','og-sechzehn'),
			'priority' => '2',
			'section' => 'SECHZEHN_logo',
		) ) );


// add a section for the post options

	$wp_customize->add_section( 'SECHZEHN_posts', array(
		'title' => __('SECHZEHN - Post options','og-sechzehn'),
		'description' => __('Options for posts','og-sechzehn'),
		'priority' => '3'
	) );

	// add the settings and the controls
			
		$wp_customize->add_setting( 'og_theme_options[first_post]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[first_post]', array(
			'label' => __('Highlight the latest non-sticky post','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '1',
			'section' => 'SECHZEHN_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_view]', array(
			'default' => '0',
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_view]', array(
			'label' => __('Display the posts on blog-pages','og-sechzehn'),
			'section' => 'SECHZEHN_posts',
			'type' => 'radio',
			'priority' => '2',
			'choices' => array(
				'0' => __('with more-link (default)','og-sechzehn'),
				'1' => __('as excerpt','og-sechzehn'),
				'2' => __('as full post without more-link','og-sechzehn'),
				'3' => __('only title and thumbnail','og-sechzehn'),
			),
		) );

		$wp_customize->add_setting( 'og_theme_options[post_author]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_author]', array(
			'label' => __('Display an author-box','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '3',
			'section' => 'SECHZEHN_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_info_author]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_info_author]', array(
			'label' => __('Display name of post-author in the post-informations','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '4',
			'section' => 'SECHZEHN_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_navigation]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_navigation]', array(
			'label' => __('Display post-navigation','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '5',
			'section' => 'SECHZEHN_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_recommendation]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[post_recommendation]', array(
			'label' => __('Display post-recommendations','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '6',
			'section' => 'SECHZEHN_posts',
		) );

		$wp_customize->add_setting( 'og_theme_options[post_recommendation_title]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[post_recommendation_title]', array(
			'label' => __('Heading for the post-recommendation','og-sechzehn'),
			'type' => 'text',
			'priority' => '7',
			'section' => 'SECHZEHN_posts',
		) );



// add a section for SECHZEHN share buttons

	$wp_customize->add_section( 'SECHZEHN_share', array(
		'title' => __('SECHZEHN - Share buttons','og-sechzehn'),
		'description' => __('Options for share buttons','og-sechzehn'),
		'priority' => '4'
	) );
	
	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[share_google]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[share_google]', array(
			'label' => __('Google+1-button','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '2',
			'section' => 'SECHZEHN_share',
		) );

		$wp_customize->add_setting( 'og_theme_options[share_facebook]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[share_facebook]', array(
			'label' => __('Facebook like-button','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '3',
			'section' => 'SECHZEHN_share',
		) );

		$wp_customize->add_setting( 'og_theme_options[share_twitter]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[share_twitter]', array(
			'label' => __('Twitter tweet-button','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '4',
			'section' => 'SECHZEHN_share',
		) );

		$wp_customize->add_setting( 'og_theme_options[share_pinterest]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[share_pinterest]', array(
			'label' => __('Pinterest Pin It-button','og-sechzehn'),
			'type' => 'checkbox',
			'priority' => '5',
			'section' => 'SECHZEHN_share',
		) );


// add a section for the social network options

	$wp_customize->add_section( 'SECHZEHN_social', array(
		'title' => __('SECHZEHN - Social Networks','og-sechzehn'),
		'description' => __('Options for Social Network links','og-sechzehn'),
		'priority' => '5'
	) );

	// add the settings and the controls

		$wp_customize->add_setting( 'og_theme_options[facebook]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[facebook]', array(
			'label' => 'Facebook',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '1'
		) );

		$wp_customize->add_setting( 'og_theme_options[facebook_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[facebook_url]', array(
			'label' => __('Link to your Facebook profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '2'
		) );

		$wp_customize->add_setting( 'og_theme_options[facebook_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[facebook_tooltip]', array(
			'label' => __('Facebook tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '3'
		) );

		$wp_customize->add_setting( 'og_theme_options[twitter]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[twitter]', array(
			'label' => 'Twitter',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '4'
		) );

		$wp_customize->add_setting( 'og_theme_options[twitter_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[twitter_url]', array(
			'label' => __('Link to your Twitter profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '5'
		) );

		$wp_customize->add_setting( 'og_theme_options[twitter_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[twitter_tooltip]', array(
			'label' => __('Twitter tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '6'
		) );

		$wp_customize->add_setting( 'og_theme_options[google]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[google]', array(
			'label' => 'Google+',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '7'
		) );

		$wp_customize->add_setting( 'og_theme_options[google_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[google_url]', array(
			'label' => __('Link to your Google+ profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '8'
		) );

		$wp_customize->add_setting( 'og_theme_options[google_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[google_tooltip]', array(
			'label' => __('Google+ tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '9'
		) );

		$wp_customize->add_setting( 'og_theme_options[xing]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[xing]', array(
			'label' => 'Xing',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '10'
		) );

		$wp_customize->add_setting( 'og_theme_options[xing_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[xing_url]', array(
			'label' => __('Link to your Xing profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '11'
		) );

		$wp_customize->add_setting( 'og_theme_options[xing_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[xing_tooltip]', array(
			'label' => __('Xing tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '12'
		) );

		$wp_customize->add_setting( 'og_theme_options[pinterest]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[pinterest]', array(
			'label' => 'Pinterest',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '13'
		) );

		$wp_customize->add_setting( 'og_theme_options[pinterest_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[pinterest_url]', array(
			'label' => __('Link to your Pinterest profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '14'
		) );

		$wp_customize->add_setting( 'og_theme_options[pinterest_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[pinterest_tooltip]', array(
			'label' => __('Pinterest tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '15'
		) );

		$wp_customize->add_setting( 'og_theme_options[tumblr]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[tumblr]', array(
			'label' => 'Tumblr',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '16'
		) );

		$wp_customize->add_setting( 'og_theme_options[tumblr_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[tumblr_url]', array(
			'label' => __('Link to your Tumblr profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '17'
		) );

		$wp_customize->add_setting( 'og_theme_options[tumblr_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[tumblr_tooltip]', array(
			'label' => __('Tumblr tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '18'
		) );

		$wp_customize->add_setting( 'og_theme_options[picasa]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[picasa]', array(
			'label' => 'Picasa',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '19'
		) );

		$wp_customize->add_setting( 'og_theme_options[picasa_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[picasa_url]', array(
			'label' => __('Link to your Picasa profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '20'
		) );

		$wp_customize->add_setting( 'og_theme_options[picasa_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[picasa_tooltip]', array(
			'label' => __('Picasa tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '21'
		) );

		$wp_customize->add_setting( 'og_theme_options[flickr]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[flickr]', array(
			'label' => 'Flickr',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '22'
		) );

		$wp_customize->add_setting( 'og_theme_options[flickr_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[flickr_url]', array(
			'label' => __('Link to your Flickr profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '23'
		) );

		$wp_customize->add_setting( 'og_theme_options[flickr_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[flickr_tooltip]', array(
			'label' => __('Flickr tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '24'
		) );

		$wp_customize->add_setting( 'og_theme_options[lastfm]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[lastfm]', array(
			'label' => 'Last.fm',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '25'
		) );

		$wp_customize->add_setting( 'og_theme_options[lastfm_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[lastfm_url]', array(
			'label' => __('Link to your Last.fm profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '26'
		) );

		$wp_customize->add_setting( 'og_theme_options[lastfm_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[lastfm_tooltip]', array(
			'label' => __('Last.fm tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '27'
		) );

		$wp_customize->add_setting( 'og_theme_options[youtube]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[youtube]', array(
			'label' => 'YouTube',
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '28'
		) );

		$wp_customize->add_setting( 'og_theme_options[youtube_url]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[youtube_url]', array(
			'label' => __('Link to your YouTube profile','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '29'
		) );

		$wp_customize->add_setting( 'og_theme_options[youtube_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[youtube_tooltip]', array(
			'label' => __('YouTube tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '30'
		) );

		$wp_customize->add_setting( 'og_theme_options[rss]', array(
			'default' => 0,
			'type' => 'option',
		) );
		 
		$wp_customize->add_control( 'og_theme_options[rss]', array(
			'label' => __('RSS-Feed','og-sechzehn'),
			'type' => 'checkbox',
			'section' => 'SECHZEHN_social',
			'priority' => '31'
		) );

		$wp_customize->add_setting( 'og_theme_options[rss_tooltip]', array(
			'type' => 'option',
		) );

		$wp_customize->add_control( 'og_theme_options[rss_tooltip]', array(
			'label' => __('RSS-Feed tooltip-text','og-sechzehn'),
			'type' => 'text',
			'section' => 'SECHZEHN_social',
			'priority' => '32'
		) );


// add settings and controls for the color-section

	$wp_customize->add_setting( 'og_theme_options[default_color]', array(
		'default' => '#00AFF0',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[default_color]', array(
		'label'   => __('Default color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '1'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[akzent_color]', array(
		'default' => '#D8E5E9',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[akzent_color]', array(
		'label'   => __('Akzent color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '2'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[alternate_color]', array(
		'default' => '#00548D',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[alternate_color]', array(
		'label'   => __('Alternate color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '3'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[header_color]', array(
		'default' => '#00548D',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[header_color]', array(
		'label'   => __('Header color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '4'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[default_font_color]', array(
		'default' => '#222222',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[default_font_color]', array(
		'label'   => __('Default font color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '5'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[link_color]', array(
		'default' => '#0078ca',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[link_color]', array(
		'label'   => __('Hyperlink color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '6'
	) ) );

	$wp_customize->add_setting( 'og_theme_options[hover_color]', array(
		'default' => '#00548D',
		'type' => 'option',
		'sanitize_callback'    => 'sanitize_hex_color_no_hash',
		'sanitize_js_callback' => 'maybe_hash_hex_color',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'og_theme_options[hover_color]', array(
		'label'   => __('Hover color','og-sechzehn'),
		'section' => 'colors',
		'priority' => '7'
	) ) );



// add settings and controls for the title_tagline section

	$wp_customize->add_setting( 'og_theme_options[bloginfo]', array(
		'default' => '0',
		'type' => 'option',
	) );
	 
	$wp_customize->add_control( 'og_theme_options[bloginfo]', array(
		'label' => __('Display title and/or tagline','og-sechzehn'),
		'section' => 'title_tagline',
		'type' => 'select',
		'choices' => array(
			'0' => __('none','og-sechzehn'),
			'1' => __('Site Title','og-sechzehn'),
			'2' => __('Tagline','og-sechzehn'),
			'3' => __('Site Title and Tagline','og-sechzehn'),
		),
	) );

}

add_action( 'customize_register', 'og_theme_customizer', 11 );


// add an theme-based stylesheet for TinyMCE

add_editor_style();


// activate the custom-background-function and set the default background

$args = array(
	'default-color' => 'E4EEF2',
);

add_theme_support( 'custom-background', $args );


// activate the custom-header-function and set the default header-image

$defaults = array(
	'default-image'          => get_template_directory_uri() . '/images/header.jpg',
	'random-default'         => false,
	'width'                  => 1680,
	'height'                 => 400,
	'flex-height'            => false,
	'flex-width'             => false,
	'header-text'            => false,
	'uploads'                => true,
);

add_theme_support( 'custom-header', $defaults );


	
// activate the post-thumbnail-function and set the sizes

if ( function_exists('add_theme_support') ) {
add_theme_support( 'post-thumbnails', array('post') );

	set_post_thumbnail_size(300, 150, true);
	add_image_size( 'featured-thumbnail', 500, 200, true ); 
}


// show post-thumbnails in the list of posts in the backend if function is enabeld

if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {
add_theme_support('post-thumbnails', array( 'post', 'page' ) );

	function fb_AddThumbColumn($cols) {
       		$cols['thumbnail'] = ('Thumbnail');
	        return $cols;
	}

	function fb_AddThumbValue($column_name, $post_id) {

	            $width = (int) 35;
        	    $height = (int) 35;

	            if ( 'thumbnail' == $column_name ) {
        	        // thumbnail of WP 2.9
                	$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
	                // image from gallery
        	        $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
                	if ($thumbnail_id)
	                    $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
        	        elseif ($attachments) {
                	    foreach ( $attachments as $attachment_id => $attachment ) {
                        	$thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
	                    }
        	        }
                	    if ( isset($thumb) && $thumb ) {
                        	echo $thumb;
	                    } else {
        	                echo ('None');
                	    }
	            }
   	}

	    add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
	    add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
}

				
// register the sidebar

if ( function_exists('register_sidebar') )
register_sidebar( array(
	'name' => 'Sidebar',
	'id' => 'sidebar',
	'before_title'  => '<h6 class="widgettitle">',
	'after_title'   => '</h6>'
	)
);


// register the nav-menus

if ( function_exists('register_nav_menus') ) {
register_nav_menus( array(
	'header_menu' => __( 'Header-navigation','og-sechzehn' ),
	'footer_menu' => __( 'Footer-navigation','og-sechzehn' )
	)
);
}


// activate feed-link-support

if ( function_exists('add_theme_support') ) {
add_theme_support('automatic-feed-links');
}


// set the maximum content width

if ( ! isset( $content_width ) ) $content_width = 820;



// set the number of words for the post-excerpt

function custom_excerpt_length( $length ) {

$options = get_option( 'og_theme_options' );

	if ($options['excerpt_words']) { 
		return $options['excerpt_words'];
	} else { 
		return 55;
	}
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
 

// show a read-more-link for the excerpt

$options = get_option( 'og_theme_options' );

if ($options['excerpt_moretag'] == 1) {

function new_excerpt_more($more) {
        return '
		<p><a class="more-link" href="'.get_permalink().'">' . __('Continue reading','og-sechzehn') . '</a></p>';
}
add_filter('excerpt_more', 'new_excerpt_more');

}


// set shortcodes for columns

function twocolumns_shortcode( $atts, $content = null ) {
	return '<div class="two-columns">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'two-columns', 'twocolumns_shortcode' );

function threecolumns_shortcode( $atts, $content = null ) {
	return '<div class="three-columns">' . do_shortcode($content) . '</div>';
}
add_shortcode( 'three-columns', 'threecolumns_shortcode' );


// set shortcodes for infoboxes

function infobox_shortcode ( $atts, $content = null) {

extract( shortcode_atts( array(
      'color' => '', 
	   ), $atts ) );
      return '<div class="infobox ' . $color . '">' . do_shortcode($content) . '</div>';

}
add_shortcode('infobox', 'infobox_shortcode');


// set shortcodes for buttons

function button_shortcode ( $atts, $content = null) {

extract( shortcode_atts( array(
	'color' => '', 
	'size' => '', 
	'link' => '',
	'align' => '',
	), $atts ) );
	return '<a href="' . $link . '" class="button ' . $size . ' ' . $align . ' ' . $color . '">' . $content . '</a>';
}
add_shortcode('button', 'button_shortcode');


// delete the shortcodes from the excerpt

function custom_excerpt($text = '') {
	$raw_excerpt = $text;
	if ( '' == $text ) {
		$text = get_the_content('');
                // $text = strip_shortcodes( $text );
		$text = do_shortcode( $text );
		$text = apply_filters('the_content', $text);
		$text = str_replace(']]>', ']]>', $text);
		$excerpt_length = apply_filters('excerpt_length', 55);
		$excerpt_more = apply_filters('excerpt_more', ' ' . '[...]');
		$text = wp_trim_words( $text, $excerpt_length, $excerpt_more );
	}
	return apply_filters('wp_trim_excerpt', $text, $raw_excerpt);
}
remove_filter( 'get_the_excerpt', 'wp_trim_excerpt'  );
add_filter( 'get_the_excerpt', 'custom_excerpt'  );


?>