<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/genericons.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>


<?php $options = get_option( 'og_theme_options' ); ?> 

<!--Google Web Fonts-->

<?php if ( $options['font_standard'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Ubuntu:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 5 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 6 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Noto+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 7 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Noto+Serif:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 12 ) { ?>
	<?php echo $options['font_standard_html']; ?>
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:300' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Fjalla+One' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Oswald' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Archivo+Narrow:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 5 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Bitter:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 6 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Bree+Serif' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 7 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Tauri' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 8 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 13 ) { ?>
	<?php echo $options['font_h_html']; ?>
<?php } ?>

<style type="text/css">

body, 
input, 
select, 
textarea { 

<?php if ( $options['font_standard'] == 0 ) { ?>
	font-family: 'Open Sans', sans-serif;
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	font-family: 'Droid Sans', sans-serif;
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	font-family: 'Source Sans Pro', sans-serif;
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	font-family: 'PT Sans', sans-serif;
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	font-family: 'Ubuntu', sans-serif;
<?php } elseif ( $options['font_standard'] == 5 ) { ?>
	font-family: 'Roboto', sans-serif;
<?php } elseif ( $options['font_standard'] == 6 ) { ?>
	font-family: 'Noto Sans', sans-serif;
<?php } elseif ( $options['font_standard'] == 7 ) { ?>
	font-family: 'Noto Serif', serif;
<?php } elseif ( $options['font_standard'] == 8 ) { ?>
	font-family: 'Arial', sans-serif;
<?php } elseif ( $options['font_standard'] == 9 ) { ?>
	font-family: 'Verdana', sans-serif;
<?php } elseif ( $options['font_standard'] == 10 ) { ?>
	font-family: 'Tahoma', sans-serif;
<?php } elseif ( $options['font_standard'] == 11 ) { ?>
	font-family: 'Lucida Sans', sans-serif;
<?php } elseif ( $options['font_standard'] == 12 ) { ?>
	<?php echo $options['font_standard_css']; ?> 
<?php } ?>

}

h1, 
h2, 
h3, 
h4, 
h5, 
h6, 
.commentlist li .comment-author { 

<?php if ( $options['font_h'] == 0 ) { ?>
	font-family: 'Open Sans', sans-serif; font-weight: 300 !important;
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	font-family: 'Fjalla One', sans-serif; font-weight: normal !important;
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	font-family: 'Oswald', sans-serif; font-weight: normal !important;
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	font-family: 'Archivo Narrow', sans-serif !important;
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	font-family: 'Open Sans Condensed', sans-serif;
<?php } elseif ( $options['font_h'] == 5 ) { ?>
	font-family: 'Bitter', serif;
<?php } elseif ( $options['font_h'] == 6 ) { ?>
	font-family: 'Bree Serif', serif; font-weight: normal !important;
<?php } elseif ( $options['font_h'] == 7 ) { ?>
	font-family: 'Tauri', serif; font-weight: normal !important;
<?php } elseif ( $options['font_h'] == 8 ) { ?>
	font-family: 'Roboto Condensed', sans-serif;
<?php } elseif ( $options['font_h'] == 9 ) { ?>
	font-family: 'Arial', sans-serif;
<?php } elseif ( $options['font_h'] == 10 ) { ?>
	font-family: 'Verdana', sans-serif;
<?php } elseif ( $options['font_h'] == 11 ) { ?>
	font-family: 'Tahoma', sans-serif;
<?php } elseif ( $options['font_h'] == 12 ) { ?>
	font-family: 'Lucida Sans', sans-serif;
<?php } elseif ( $options['font_h'] == 13 ) { ?>
	<?php echo $options['font_h_css']; ?> 
<?php } ?>

}

</style>

<!--set the standard font-size-->

<style type="text/css">

<?php if ( $options['font_size'] ) { ?>
	body { font-size: <?php echo $options['font_size']; ?>; }
<?php } ?>

</style>

<!--set individual colors-->

<style type="text/css">

body {
	color: #<?php echo $options['default_font_color']; ?>;
}

a {
	color: #<?php echo $options['link_color']; ?>;
}

a:hover {
	color: #<?php echo $options['hover_color']; ?>;
}

.header-image {
	background: #<?php echo $options['header_color']; ?>;
}

.commentlist li.bypostauthor > div .comment-author cite:after,
.commentlist .children > li.bypostauthor > div .comment-author cite:after,
.side-navigation a:hover,
.sticky .post-title:after,
.featured .post-title:after,
.credits,
.comment-navigation a,
.social li a span,
.social li:hover img,
.navigation > ul > li:hover > a,
.navigation li.current-menu-item a,
.navigation li.current-menu-ancestor a,
.navigation li ul .current-menu-item > a,
.navigation li ul .current-menu-ancestor > a,
input[type="submit"] { 
	background-color: #<?php echo $options['default_color']; ?>;
}

.top label,
.side-navigation .nav-title,
.comment-navigation a:hover,
.side-navigation a,
input[type="submit"]:hover { 
	background-color: #<?php echo $options['alternate_color']; ?>;
}

.navigation li li:hover > a,
li.pingback,
.footer-content { 
	background-color: #<?php echo $options['akzent_color']; ?>;
}

.comment-awaiting-moderation,
.entry p,
h1 { 
	color: #<?php echo $options['default_color']; ?>;
}

blockquote:before,
h3 { 
	color: #<?php echo $options['alternate_color']; ?>;
}

blockquote { 
	border-left-color: #<?php echo $options['alternate_color']; ?>;
}

.social li a span:before {
	border-top-color: #<?php echo $options['default_color']; ?>;
}

</style>


<?php if( function_exists('is_singular') && function_exists('wp_enqueue_script') ) {  
	if ( is_singular() )
		wp_enqueue_script( 'comment-reply' );
	}
?>

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>> 

	<a class="header-image" href="<?php echo home_url(); ?>"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" /></a>

	<div id="side-content">

		<div id="wrapper">

			<div id="header">

				<div class="top">

					<input type="checkbox" id="top">
					<label for="top"><h6><?php _e('Menu','og-sechzehn'); ?></h6></label>

				<?php if ($options['display_logo'] == 1 ) { ?>

					<div class="logo">

					<?php if ($options['logo']) { ?>

						<a href="<?php echo home_url(); ?>"><img src="<?php echo $options['logo']; ?>" alt="logo"></a>

					<?php } else { ?>

						<a href="<?php echo home_url(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="logo"></a>

					<?php } ?>

					</div><!--.logo-->

				<?php } ?>

				<?php if ( has_nav_menu( 'header_menu' ) ) { ?>

					<?php if ($options['display_logo'] == 1 ) { ?>

					<div class="navigation nav-logo">

					<?php } else { ?>

					<div class="navigation">

					<?php } ?>

						<?php 
						$defaults = array(
							'container' 	  => false,
							'menu_class'      => 'header-menu',
							'theme_location'  => 'header_menu',
						);

						wp_nav_menu( $defaults );
						?>

					</div><!--.navigation-->

				<?php } ?>

				</div><!--.top-->

				<div class="header-content">

					<div class="bloginfo">

					<?php if ($options['bloginfo']) { ?>

						<div class="bloginfo-content">

						<?php if ($options['bloginfo'] == 1) { ?>
							<h1 class="name"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
						<?php } elseif ($options['bloginfo'] == 2) { ?>
							<h1 class="name"><a href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a></h1>
						<?php } elseif ($options['bloginfo'] == 3) { ?>
							<h1 class="name"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
							<div class="description"><a href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a></div>
						<?php } ?>

						</div><!--.bloginfo-content-->

					<?php } ?>

						<div class="social">

							<ul>

								<?php if ($options['facebook'] == 1) { ?>
									<li><a href="<?php echo $options['facebook_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png" alt="facebook-icon">
									<span>
										<?php if ($options['facebook_tooltip']) { ?>
											<?php echo $options['facebook_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My FACEBOOK profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['twitter'] == 1) { ?>
									<li><a href="<?php echo $options['twitter_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png" alt="twitter-icon">
									<span>
										<?php if ($options['twitter_tooltip']) { ?>
											<?php echo $options['twitter_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My TWITTER profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['google'] == 1) { ?>
									<li><a href="<?php echo $options['google_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png" alt="google-icon">
									<span>
										<?php if ($options['google_tooltip']) { ?>
											<?php echo $options['google_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My GOOGLE+ profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['xing'] == 1) { ?>
									<li><a href="<?php echo $options['xing_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/xing.png" alt="xing-icon">
									<span>
										<?php if ($options['xing_tooltip']) { ?>
											<?php echo $options['xing_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My XING profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['pinterest'] == 1) { ?>
									<li><a href="<?php echo $options['pinterest_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/pinterest.png" alt="pinterest-icon">
									<span>
										<?php if ($options['pinterest_tooltip']) { ?>
											<?php echo $options['pinterest_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My PINTEREST profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['tumblr'] == 1) { ?>
									<li><a href="<?php echo $options['tumblr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/tumblr.png" alt="tumblr-icon">
									<span>
										<?php if ($options['tumblr_tooltip']) { ?>
											<?php echo $options['tumblr_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My TUMBLR profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['picasa'] == 1) { ?>
									<li><a href="<?php echo $options['picasa_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/picasa.png" alt="picasa-icon">
									<span>
										<?php if ($options['picasa_tooltip']) { ?>
											<?php echo $options['picasa_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My PICASA profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['flickr'] == 1) { ?>
									<li><a href="<?php echo $options['flickr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/flickr.png" alt="flickr-icon">
									<span>
										<?php if ($options['flickr_tooltip']) { ?>
											<?php echo $options['flickr_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My FLICKR profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['lastfm'] == 1) { ?>
									<li><a href="<?php echo $options['lastfm_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png" alt="lastfm-icon">
									<span>
										<?php if ($options['lastfm_tooltip']) { ?>
											<?php echo $options['lastfm_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My LAST.FM profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['youtube'] == 1) { ?>
									<li><a href="<?php echo $options['youtube_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png" alt="youtube-icon">
									<span>
										<?php if ($options['youtube_tooltip']) { ?>
											<?php echo $options['youtube_tooltip'] ?>
										<?php } else { ?>
											<?php _e('My YOUTUBE profile','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

								<?php if ($options['rss'] == 1) { ?>
									<li><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png" alt="rss-icon">
									<span>
										<?php if ($options['rss_tooltip']) { ?>
											<?php echo $options['rss_tooltip'] ?>
										<?php } else { ?>
											<?php _e('Get the RSS-Feed','og-sechzehn'); ?>
										<?php } ?> 
									</span>
									</a></li>
								<?php } ?> 

							</ul>

						</div><!--.social-->

					</div><!--.bloginfo-->

				</div><!--.header-content-->

			</div><!--#header-->

			<div id="content">

			<?php if( is_search() || is_archive() ) { ?>

				<div class="entry">

				<?php if( is_month() ) { ?>
					<h2><?php _e('Archive for the month','og-sechzehn'); ?> <p><?php printf (get_the_date('F Y') ); ?></p></h2>
				<?php } elseif( is_year() ) { ?>
					<h2><?php _e('Archive for the year','og-sechzehn'); ?> <p><?php printf (get_the_date('Y') ); ?></p></h2>
				<?php } elseif( is_day() ) { ?>
					<h2><?php _e('Archive for','og-sechzehn'); ?> <p><?php printf (get_the_date('d. F Y') ); ?></p></h2>
				<?php } elseif( is_category() ) { ?>
					<h2><?php _e('Archive for the category','og-sechzehn'); ?> <p><?php single_tag_title(); ?></p></h2>
				<?php } elseif( is_tag() ) { ?>
					<h2><?php _e('Archive for the tag','og-sechzehn'); ?> <p><?php single_tag_title(); ?></p></h2>
				<?php } elseif( is_search() ) { ?>
					<h2><?php _e('Search-result for','og-sechzehn'); ?> <p><?php the_search_query(); ?></p></h2>
				<?php } elseif( is_author() ) { ?>
					<h2><?php _e('Author Archive','og-sechzehn'); ?></h2>
				<?php } else { ?>
					<h2><?php _e('Archive','og-sechzehn'); ?></h2>
				<?php } ?>

				</div>				

			<?php } ?>